﻿using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.trackBarControl.Properties.ShowValueToolTip = true;

            this.trackBarControl.BeforeShowValueToolTip += trackBarControl_BeforeShowValueToolTip;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 트랙바 컨트롤 값 툴팁 표시전 처리하기 - trackBarControl_BeforeShowValueToolTip(sender, e)

        /// <summary>
        /// 트랙바 컨트롤 값 툴팁 표시전 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void trackBarControl_BeforeShowValueToolTip(object sender, TrackBarValueToolTipEventArgs e)
        {
            e.ShowArgs.ToolTip = string.Format("값 = {0}", this.trackBarControl.Value);
        }

        #endregion
    }
}